> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_default_acl.md).

# 53.17. pg\_default\_acl

## 53.17. pg\_default\_acl

The catalog `pg_default_acl` stores initial privileges to be assigned to newly created objects.

**Table 53.17. `pg_default_acl` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                                 |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>oid</code> <code>oid</code></p><p>Row identifier</p>                                                                                                                                                                                        |
| <p><code>defaclrole</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_authid.md"><code>pg\_authid</code></a>.<code>oid</code>)</p><p>The OID of the role associated with this entry</p>                                  |
| <p><code>defaclnamespace</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_namespace.md"><code>pg\_namespace</code></a>.<code>oid</code>)</p><p>The OID of the namespace associated with this entry, or zero if none</p> |
| <p><code>defaclobjtype</code> <code>char</code></p><p>Type of object this entry is for: <code>r</code> = relation (table, view), <code>S</code> = sequence, <code>f</code> = function, <code>T</code> = type, <code>n</code> = schema</p>            |
| <p><code>defaclacl</code> <code>aclitem\[]</code></p><p>Access privileges that this type of object should have on creation</p>                                                                                                                       |

A `pg_default_acl` entry shows the initial privileges to be assigned to an object belonging to the indicated user. There are currently two types of entry: “global” entries with `defaclnamespace` = zero, and “per-schema” entries that reference a particular schema. If a global entry is present then it *overrides* the normal hard-wired default privileges for the object type. A per-schema entry, if present, represents privileges to be *added to* the global or hard-wired default privileges.

Note that when an ACL entry in another catalog is null, it is taken to represent the hard-wired default privileges for its object, *not* whatever might be in `pg_default_acl` at the moment. `pg_default_acl` is only consulted during object creation.

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_default_acl.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_default_acl.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
